stages:
  - test

test-licence:
  stage: test
  image: node:12
  before_script:
  - yarn install
  script:
  - yarn licence
  allow_failure: true

test-internal-link-and-build:
  stage: test
  image: node:12
  before_script:
    - yarn install
  script:
   - yarn docs:build
   - yarn lint-md

test-external-link:
  stage: test
  image: node:12
  before_script:
    - yarn install
  script:
   - yarn extended-lint-md
  allow_failure: true
